Subject: bug#61730: 30.0.50; Compiler warnings for delq and delete

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Feb 2023 10:11:25 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> Date: Fri, 24 Feb 2023 23:15:56 -0500
> 
> People won't mind a rare spurious warning if the warning message
> usually indicates a real problem.  But if it is the opposite way,
> people will see the warning as annoying bureaucracy and resent it.

In Emacs maintenance and development, the two cases are actually one.
We rebuild Emacs so frequently that even a "rare" warning appears all
the time and is annoying.  It is not a coincidence that we usually
don't tolerate warnings during the build of Emacs.